# $Revision: 1.58 $, $Date: 2012/02/26 17:24:05 $
#
# Conditional build:
%bcond_with	utf8	# build with UTF-8 support

Summary:	SQLite library
Summary(pl.UTF-8):	Biblioteka SQLite
Name:		sqlite
Version:	2.8.17
Release:	4
License:	LGPL
Group:		Libraries
# Source0Download: http://sqlite.org/download.html
Source0:	http://sqlite.org/%{name}-%{version}.tar.gz
# Source0-md5:	838dbac20b56d2c4292e98848505a05b
Patch0:		%{name}-DESTDIR.patch
URL:		http://sqlite.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

%description -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

%package devel
Summary:	Header files for SQLite development
Summary(pl.UTF-8):	Pliki nagłówkowe SQLite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the header files needed to develop programs that
use these SQLite.

%description devel -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

Pakiet zawiera pliki nagówkowe niezbedne do kompilowania programów
używających biblioteki SQLite.

%package static
Summary:	Static libraries for SQLite development
Summary(pl.UTF-8):	Statyczne biblioteki SQLite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the static SQLite libraries.

%description static -l pl.UTF-8
SQLite jest biblioteką języka C, która implementuje silnik baz danych
SQL (obsługiwana jest większość standardu SQL92). Cała baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujące tę
bibliotekę charakteryzują się siłą i elastycznością SQLowych baz
danych bez konieczności utrzymywania osobnego serwera baz danych.
Ponieważ pomijana jest komunikacja klient-serwer i dane są zapisywane
bezpośrednio na dysku, SQLite jest szybsza od dużych serwerów
bazodanowych przy większości operacji na bazie danych. Dodatkowo
oprócz biblioteki języka C, dostarczany jest program do zarządzania
bazami danych.

Pakiet zawiera statyczne biblioteki SQLite.

%prep
%setup -q
%patch0 -p1

find . -type d -name CVS | xargs %{__rm} -r

%build
%{__libtoolize} --install
%{__aclocal}
%{__autoconf}

%configure \
	%{?with_utf8:--enable-utf8}

%{__make}
%{__make} doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p sqlite.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/sqlite
%attr(755,root,root) %{_libdir}/libsqlite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsqlite.so.0
%{_mandir}/man1/sqlite.1*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libsqlite.so
%{_libdir}/libsqlite.la
%{_includedir}/sqlite.h
%{_pkgconfigdir}/sqlite.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsqlite.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sqlite.spec,v $
Revision 1.58  2012/02/26 17:24:05  glen
- release 4

Revision 1.57  2011/02/20 09:02:24  qboosh
- more verbose files, ghost soname symlink
- don't package CVS dir as doc

Revision 1.56  2009/02/23 22:08:31  arekm
- release 3

Revision 1.55  2008/06/29 08:31:36  qboosh
- libtool epoch

Revision 1.54  2008/06/28 23:59:32  areq
- fixed build with libtool 2.2

Revision 1.53  2007/09/05 14:07:50  baggins
- rel 2

Revision 1.52  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.51  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.50  2006/01/02 19:59:34  arekm
- up to 2.8.17

Revision 1.49  2005/09/23 22:43:23  pluto
- bcond header, cosmetics.

Revision 1.48  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.47  2005/02/15 20:10:24  paszczus
- updated to 2.8.16
- STBR

Revision 1.46  2004/11/01 19:58:51  havner
- rel 2

Revision 1.45  2004/11/01 19:56:58  havner
- should be ok now

Revision 1.44  2004/11/01 19:45:50  havner
- proper package names

Revision 1.43  2004/11/01 18:58:29  havner
- cp sqlite2 sqlite

Revision 1.41  2004/10/31 16:25:47  paladine
- spaces->tabs
- formatting

Revision 1.40  2004/10/29 11:17:59  paladine
- spelling fixes

Revision 1.39  2004/09/04 10:12:01  qboosh
- restored some changes from sqlite.spec

Revision 1.38  2004/09/01 22:21:53  arekm
- new spec for sqlite2 version; updated to 2.8.15

Revision 1.34  2004/06/18 15:35:39  paszczus
- updated to 2.8.14
- updated DESTDIR patch

Revision 1.33  2004/03/15 01:26:43  undefine
- update to 2.8.13, remove libdir patch(integrated into DESTDIR)

Revision 1.32  2004/01/06 12:45:48  adamg
- updated to 2.8.9

Revision 1.31  2003/12/29 12:57:39  wiget
- added utf8 bcond

Revision 1.30  2003/12/27 19:41:55  qboosh
- grrr... BR: ac,am,lt

Revision 1.29  2003/12/27 19:19:31  undefine
- regenerate ac/am to support amd64, patch to use libdir

Revision 1.28  2003/12/23 15:57:17  adamg
- updated to 2.8.8

Revision 1.27  2003/09/29 13:12:05  migo
- up to 2.8.6

Revision 1.26  2003/07/23 07:58:38  qboosh
- download URL is back (maybe someday will be used by pldnotify.awk)

Revision 1.25  2003/07/22 20:03:59  adamg
- updated to 2.8.5

Revision 1.24  2003/07/10 07:45:03  wiget
- Source0 URL changed

Revision 1.23  2003/07/10 07:39:30  wiget
- URL changed

Revision 1.22  2003/06/30 06:59:57  wiget
- updated to 2.8.4

Revision 1.21  2003/06/09 15:35:49  qboosh
- added gcc33 patch (\n and sh portability, varargs.h is no more)

Revision 1.20  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 06:26:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/07 09:34:25  trojan
- updated to 2.8.0
- fixed DESTDIR patch

Revision 1.17  2003/02/26 15:58:50  malekith
- rel 2; rebuild on nest builders

Revision 1.16  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/08/11 18:48:30  tjbynum
++ version.

Revision 1.14  2002/07/29 09:33:41  trojan
- updated to 2.6.1

Revision 1.13  2002/07/17 09:22:55  trojan
- updated to 2.5.6; STBR

Revision 1.12  2002/07/03 12:52:21  trojan
- updated to 2.5.4 (fixed bug that could potentially cause database
  coruption)

Revision 1.11  2002/06/17 11:54:27  trojan
- fixed %%files

Revision 1.10  2002/05/24 09:14:38  trojan
- new %%doc
- fixed URL and Source0

Revision 1.9  2002/05/20 12:22:28  trojan
- updated to 2.4.12
- added BR: tcl-devel
STBR

Revision 1.8  2002/03/26 15:01:34  trojan
- updated to 2.4.3

Revision 1.7  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/29 14:49:34  qboosh
- pl summaries, fixes in descriptions

Revision 1.4  2002/01/29 14:31:22  trojan
- polish descriptions
- moves progs to main package (arekm's suggestion)
- fixed %%install

Revision 1.3  2002/01/29 13:37:08  trojan
- added BR: readline-devel
- seems to be ok; STBR

Revision 1.2  2002/01/29 13:28:08  trojan
- fixed %%clean

Revision 1.1  2002/01/29 13:25:28  trojan
- initial revision; STB
